## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASERole

All Superinterfaces:
  AuthorizationIdentifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Role, SQLObject, SybaseAuthorizationIdentifier

All Known Implementing Classes:
  SybaseASECatalogLocalRole, SybaseASECatalogRole, SybaseASERoleImpl

    public interface SybaseASERole

extends Role, SybaseAuthorizationIdentifier

A representation of the model object 'Sybase ASE Role'.

See Also:
  `SybaseasesqlmodelPackage.getSybaseASERole()`

Method Summary
`java.util.List` `getReceivedPrivileges(java.lang.String catalogName)` Get privileges of role for specified catalog

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.Role
`getRoleAuthorization`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.AuthorizationIdentifier
`getDatabase, getGrantedPrivilege, getGrantedRoleAuthorization, getOwnedSchema, getReceivedPrivilege, getReceivedRoleAuthorization, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseAuthorizationIdentifier
`getSqlContainer, setSqlContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.AuthorizationIdentifier
`getDatabase, getGrantedPrivilege, getGrantedRoleAuthorization, getOwnedSchema, getReceivedPrivilege, getReceivedRoleAuthorization, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReceivedPrivileges

    java.util.List getReceivedPrivileges(java.lang.String catalogName)

  Get privileges of role for specified catalog